Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000127 [libFirm] buildsystem major always 2013-11-14 15:09 2016-01-03 03:28
Reporter haass View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version development
Summary 0000127: include guard missing from generated file
Description build/gen/include/libfirm/nodes.h
- include guard is missing, leads into include hell if included
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000189)
Matze (administrator)
2013-11-15 17:53

The file wasn't really meant to be included but irnode.h is the thing you should include!
Anyway the guards don't hurt and are added in ef4370c52ead6b7c8222a0468c9909cb32f3d78c

- Issue History
Date Modified Username Field Change
2013-11-14 15:09 haass New Issue
2013-11-15 17:53 Matze Note Added: 0000189
2013-11-15 17:53 Matze Assigned To => Matze
2013-11-15 17:53 Matze Status new => resolved
2013-11-15 17:53 Matze Resolution open => fixed
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker